import 'package:json_annotation/json_annotation.dart';

part 'address.g.dart';

@JsonSerializable(explicitToJson: true)
class Address {
  String fullAddress;
  String area;
  String pinCode;
  String country;
  String placeId;
  String locality;
  double latitude;
  double longitude;

  Address(this.fullAddress, this.area, this.pinCode, this.country, this.placeId,
      this.locality, this.latitude, this.longitude);

  Address.named(
      {this.fullAddress,
      this.area,
      this.pinCode,
      this.country,
      this.placeId,
      this.locality,
      this.latitude,
      this.longitude});

  Map<String, dynamic> toJson() => _$AddressToJson(this);

  factory Address.fromJson(json) => _$AddressFromJson(json);
}
